export const mimeToExtensionMap = {
	// Documents
	"application/pdf": ".pdf",
	"application/msword": ".doc",
	"application/vnd.openxmlformats-officedocument.wordprocessingml.document": ".docx",
	"application/vnd.ms-excel": ".xls",
	"application/vnd.openxmlformats-officedocument.spreadsheetml.sheet": ".xlsx",
	"application/vnd.ms-powerpoint": ".ppt",
	"application/vnd.openxmlformats-officedocument.presentationml.presentation": ".pptx",
	"application/vnd.oasis.opendocument.text": ".odt",
	"application/vnd.oasis.opendocument.spreadsheet": ".ods",
	"application/vnd.oasis.opendocument.presentation": ".odp",
	"text/plain": ".txt",
	"text/csv": ".csv",
	"text/html": ".html",
	"application/xhtml+xml": ".xhtml",
	"application/xml": ".xml",
	"application/json": ".json",

	// Images
	"image/jpeg": ".jpg",
	"image/png": ".png",
	"image/gif": ".gif",
	"image/webp": ".webp",
	"image/svg+xml": ".svg",
	"image/tiff": ".tif",
	"image/bmp": ".bmp",

	// Audio
	"audio/mpeg": ".mp3",
	"audio/ogg": ".ogg",
	"audio/wav": ".wav",
	"audio/webm": ".weba",
	"audio/aac": ".aac",

	// Video
	"video/mp4": ".mp4",
	"video/webm": ".webm",
	"video/ogg": ".ogv",
	"video/x-msvideo": ".avi",
	"video/quicktime": ".mov",
	"video/x-ms-wmv": ".wmv",
	"video/mpeg": ".mpeg",
	"video/3gpp": ".3gp",
	"video/3gpp2": ".3g2",
	"video/x-matroska": ".mkv",
	"video/x-flv": ".flv",

	// Archives
	"application/zip": ".zip",
	"application/x-rar-compressed": ".rar",
	"application/x-tar": ".tar",
	"application/x-7z-compressed": ".7z",
	"application/x-gzip": ".gz",
	"application/x-bzip2": ".bz2",
}

export const listOfAllQortalRequests = [
	'IS_USING_GATEWAY',
	'ADMIN_ACTION',
	'SHOW_ACTIONS',
	'CREATE_AND_COPY_EMBED_LINK',
	'GET_USER_ACCOUNT',
	'REGISTER_NAME',
	'UPDATE_NAME',
	'ENCRYPT_DATA',
	'DECRYPT_DATA',
	'ENCRYPT_QORTAL_GROUP_DATA',
	'DECRYPT_QORTAL_GROUP_DATA',
	'ENCRYPT_DATA_WITH_SHARING_KEY',
	'DECRYPT_DATA_WITH_SHARING_KEY',
	'CREATE_TRADE_BUY_ORDER',
	'CREATE_TRADE_SELL_ORDER',
	'CANCEL_TRADE_SELL_ORDER',
	'GET_LIST_ITEMS',
	'ADD_LIST_ITEMS',
	'DELETE_LIST_ITEM',
	'GET_FRIENDS_LIST',
	'LINK_TO_QDN_RESOURCE',
	'QDN_RESOURCE_DISPLAYED',
	'SET_TAB_NOTIFICATIONS',
	'PUBLISH_QDN_RESOURCE',
	'PUBLISH_MULTIPLE_QDN_RESOURCES',
	'VOTE_ON_POLL',
	'CREATE_POLL',
	'OPEN_NEW_TAB',
	'NOTIFICATIONS_PERMISSION',
	'SEND_LOCAL_NOTIFICATION',
	'SEND_CHAT_MESSAGE',
	'JOIN_GROUP',
	'LEAVE_GROUP',
	'INVITE_TO_GROUP',
	'CANCEL_GROUP_INVITE',
	'KICK_FROM_GROUP',
	'BAN_FROM_GROUP',
	'CANCEL_GROUP_BAN',
	'ADD_GROUP_ADMIN',
	'REMOVE_GROUP_ADMIN',
	'SAVE_FILE',
	'GET_HOSTED_DATA',
	'DELETE_HOSTED_DATA',
	'DEPLOY_AT',
	'GET_PROFILE_DATA',
	'SET_PROFILE_DATA',
	'OPEN_PROFILE',
	'GET_USER_WALLET',
	'GET_WALLET_BALANCE',
	'GET_USER_WALLET_INFO',
	'GET_CROSSCHAIN_SERVER_INFO',
	'GET_TX_ACTIVITY_SUMMARY',
	'GET_FOREIGN_FEE',
	'UPDATE_FOREIGN_FEE',
	'GET_SERVER_CONNECTION_HISTORY',
	'SET_CURRENT_FOREIGN_SERVER',
	'ADD_FOREIGN_SERVER',
	'REMOVE_FOREIGN_SERVER',
	'GET_DAY_SUMMARY',
	'SIGN_TRANSACTION',
	'SEND_COIN'
]
